/* $Id: tsprefs.c,v 1.1 2003/04/15 00:47:07 chrisf Exp $ */

/*
TreoScreens - Select default screen for phone etc.
Copyright (C) 2003 Chris Faherty

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <PalmOS.h>
#include "tsprefs.h"

void LoadPrefs(struct sprefs *prefs)
{
    Int16 prefsVersion;
    UInt16 prefsSize;

    prefs->phoneapplaunch = 0; /* Speed Dial */
    prefsSize = sizeof(prefs->phoneapplaunch);
    prefsVersion = PrefGetAppPreferences(MainAppID, 0 /* Pref ID */,
        &prefs->phoneapplaunch, &prefsSize, true);

    prefs->launch1cat = 0xff; /* All category */
    prefsSize = sizeof(prefs->launch1cat);
    prefsVersion = PrefGetAppPreferences(MainAppID, 1 /* Pref ID */,
        &prefs->launch1cat, &prefsSize, true);

    prefs->launch2cat = 0xff; /* All category */
    prefsSize = sizeof(prefs->launch2cat);
    prefsVersion = PrefGetAppPreferences(MainAppID, 2 /* Pref ID */,
        &prefs->launch2cat, &prefsSize, true);

    prefs->launch3cat = 0xff; /* All category */
    prefsSize = sizeof(prefs->launch3cat);
    prefsVersion = PrefGetAppPreferences(MainAppID, 3 /* Pref ID */,
        &prefs->launch3cat, &prefsSize, true);
}

void SavePrefs(struct sprefs *prefs)
{
    PrefSetAppPreferences(MainAppID, 0 /* Pref ID */, 1 /* Version */,
        &prefs->phoneapplaunch, sizeof(prefs->phoneapplaunch), true);

    PrefSetAppPreferences(MainAppID, 1 /* Pref ID */, 1 /* Version */,
        &prefs->launch1cat, sizeof(prefs->launch1cat), true);

    PrefSetAppPreferences(MainAppID, 2 /* Pref ID */, 1 /* Version */,
        &prefs->launch2cat, sizeof(prefs->launch2cat), true);

    PrefSetAppPreferences(MainAppID, 3 /* Pref ID */, 1 /* Version */,
        &prefs->launch3cat, sizeof(prefs->launch3cat), true);
}
